## Review Scanned DNS Records `client.dns.records.scanReview(RecordScanReviewParamsparams, RequestOptionsoptions?): RecordScanReviewResponse` **post** `/zones/{zone_id}/dns_records/scan/review` Accept or reject DNS records found by the DNS records scan. Accepted records will be permanently added to the zone, while rejected records will be permanently deleted. ### Parameters - `params: RecordScanReviewParams` - `zone_id: string` Path param: Identifier. - `accepts?: Array` Body param - `ARecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `number` - `1` - `1` - `type: "A"` Record type. - `"A"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` A valid IPv4 address. - `private_routing?: boolean` Enables private network routing to the origin. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `AAAARecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "AAAA"` Record type. - `"AAAA"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` A valid IPv6 address. - `private_routing?: boolean` Enables private network routing to the origin. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `CNAMERecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "CNAME"` Record type. - `"CNAME"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` A valid hostname. Must not match the record's name. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `flatten_cname?: boolean` If enabled, causes the CNAME record to be resolved externally and the resulting address records (e.g., A and AAAA) to be returned instead of the CNAME record itself. This setting is unavailable for proxied records, since they are always flattened. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `MXRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "MX"` Record type. - `"MX"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` A valid mail server hostname. - `priority?: number` Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `NSRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "NS"` Record type. - `"NS"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` A valid name server host name. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `DNSRecordsOpenpgpkeyRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "OPENPGPKEY"` Record type. - `"OPENPGPKEY"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1) - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `PTRRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "PTR"` Record type. - `"PTR"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Domain name pointing to the address. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `TXTRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "TXT"` Record type. - `"TXT"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Text content for the record. The content must consist of quoted "character strings" (RFC 1035), each with a length of up to 255 bytes. Strings exceeding this allowed maximum length are automatically split. Learn more at . - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `CAARecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "CAA"` Record type. - `"CAA"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted CAA content. See 'data' to set CAA properties. - `data?: Data` Components of a CAA record. - `flags?: number` Flags for the CAA record. - `tag?: string` Name of the property controlled by this record (e.g.: issue, issuewild, iodef). - `value?: string` Value of the record. This field's semantics depend on the chosen tag. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `CERTRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "CERT"` Record type. - `"CERT"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted CERT content. See 'data' to set CERT properties. - `data?: Data` Components of a CERT record. - `algorithm?: number` Algorithm. - `certificate?: string` Certificate. - `key_tag?: number` Key Tag. - `type?: number` Type. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `DNSKEYRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "DNSKEY"` Record type. - `"DNSKEY"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted DNSKEY content. See 'data' to set DNSKEY properties. - `data?: Data` Components of a DNSKEY record. - `algorithm?: number` Algorithm. - `flags?: number` Flags. - `protocol?: number` Protocol. - `public_key?: string` Public Key. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `DSRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "DS"` Record type. - `"DS"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted DS content. See 'data' to set DS properties. - `data?: Data` Components of a DS record. - `algorithm?: number` Algorithm. - `digest?: string` Digest. - `digest_type?: number` Digest Type. - `key_tag?: number` Key Tag. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `HTTPSRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "HTTPS"` Record type. - `"HTTPS"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted HTTPS content. See 'data' to set HTTPS properties. - `data?: Data` Components of a HTTPS record. - `priority?: number` Priority. - `target?: string` Target. - `value?: string` Value. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `LOCRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "LOC"` Record type. - `"LOC"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted LOC content. See 'data' to set LOC properties. - `data?: Data` Components of a LOC record. - `altitude?: number` Altitude of location in meters. - `lat_degrees?: number` Degrees of latitude. - `lat_direction?: "N" | "S"` Latitude direction. - `"N"` - `"S"` - `lat_minutes?: number` Minutes of latitude. - `lat_seconds?: number` Seconds of latitude. - `long_degrees?: number` Degrees of longitude. - `long_direction?: "E" | "W"` Longitude direction. - `"E"` - `"W"` - `long_minutes?: number` Minutes of longitude. - `long_seconds?: number` Seconds of longitude. - `precision_horz?: number` Horizontal precision of location. - `precision_vert?: number` Vertical precision of location. - `size?: number` Size of location in meters. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `NAPTRRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "NAPTR"` Record type. - `"NAPTR"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted NAPTR content. See 'data' to set NAPTR properties. - `data?: Data` Components of a NAPTR record. - `flags?: string` Flags. - `order?: number` Order. - `preference?: number` Preference. - `regex?: string` Regex. - `replacement?: string` Replacement. - `service?: string` Service. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `SMIMEARecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "SMIMEA"` Record type. - `"SMIMEA"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted SMIMEA content. See 'data' to set SMIMEA properties. - `data?: Data` Components of a SMIMEA record. - `certificate?: string` Certificate. - `matching_type?: number` Matching Type. - `selector?: number` Selector. - `usage?: number` Usage. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `SRVRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "SRV"` Record type. - `"SRV"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Priority, weight, port, and SRV target. See 'data' for setting the individual component values. - `data?: Data` Components of a SRV record. - `port?: number` The port of the service. - `priority?: number` Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map. - `target?: string` A valid hostname. - `weight?: number` The record weight. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `SSHFPRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "SSHFP"` Record type. - `"SSHFP"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted SSHFP content. See 'data' to set SSHFP properties. - `data?: Data` Components of a SSHFP record. - `algorithm?: number` Algorithm. - `fingerprint?: string` Fingerprint. - `type?: number` Type. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `SVCBRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "SVCB"` Record type. - `"SVCB"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted SVCB content. See 'data' to set SVCB properties. - `data?: Data` Components of a SVCB record. - `priority?: number` Priority. - `target?: string` Target. - `value?: string` Value. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `TLSARecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "TLSA"` Record type. - `"TLSA"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted TLSA content. See 'data' to set TLSA properties. - `data?: Data` Components of a TLSA record. - `certificate?: string` Certificate. - `matching_type?: number` Matching Type. - `selector?: number` Selector. - `usage?: number` Usage. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `URIRecord` - `name: string` Complete DNS record name, including the zone name, in Punycode. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `type: "URI"` Record type. - `"URI"` - `comment?: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content?: string` Formatted URI content. See 'data' to set URI properties. - `data?: Data` Components of a URI record. - `target?: string` The record content. - `weight?: number` The record weight. - `priority?: number` Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map. - `proxied?: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings?: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags?: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `rejects?: Array` Body param - `id: string` Identifier. ### Returns - `RecordScanReviewResponse` - `accepts?: Array` - `A extends ARecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `AAAA extends AAAARecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `CNAME extends CNAMERecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `MX extends MXRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `NS extends NSRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `Openpgpkey` - `id: string` Identifier. - `comment: string` Comments or notes about the DNS record. This field has no effect on DNS responses. - `content: string` A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1) - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `name: string` Complete DNS record name, including the zone name, in Punycode. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `proxied: boolean` Whether the record is receiving the performance and security benefits of Cloudflare. - `settings: Settings` Settings for the DNS record. - `ipv4_only?: boolean` When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `ipv6_only?: boolean` When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6. - `tags: Array` Custom tags for the DNS record. This field has no effect on DNS responses. - `ttl: TTL` Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones. - `number` - `1` - `1` - `type: "OPENPGPKEY"` Record type. - `"OPENPGPKEY"` - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `PTR extends PTRRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `TXT extends TXTRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `CAA extends CAARecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `CERT extends CERTRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `DNSKEY extends DNSKEYRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `DS extends DSRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `HTTPS extends HTTPSRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `LOC extends LOCRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `NAPTR extends NAPTRRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `SMIMEA extends SMIMEARecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `SRV extends SRVRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `SSHFP extends SSHFPRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `SVCB extends SVCBRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `TLSA extends TLSARecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `URI extends URIRecord` - `id: string` Identifier. - `created_on: string` When the record was created. - `meta: unknown` Extra Cloudflare-specific information about the record. - `modified_on: string` When the record was last modified. - `proxiable: boolean` Whether the record can be proxied by Cloudflare or not. - `comment_modified_on?: string` When the record comment was last modified. Omitted if there is no comment. - `tags_modified_on?: string` When the record tags were last modified. Omitted if there are no tags. - `rejects?: Array` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.dns.records.scanReview({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.accepts); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "accepts": [ { "name": "example.com", "ttl": 3600, "type": "A", "comment": "Domain verification record", "content": "198.51.100.4", "private_routing": true, "proxied": true, "settings": { "ipv4_only": true, "ipv6_only": true }, "tags": [ "owner:dns-team" ], "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2014-01-01T05:20:00.12345Z", "meta": {}, "modified_on": "2014-01-01T05:20:00.12345Z", "proxiable": true, "comment_modified_on": "2024-01-01T05:20:00.12345Z", "tags_modified_on": "2025-01-01T05:20:00.12345Z" } ], "rejects": [ "023e105f4ecef8ad9ca31a8372d0c353" ] } } ```